"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule = {
    defaultOptions: [],
    meta: {
        type: 'problem',
        messages: {
            noBarreledImports: 'Do not use barreled imports for Paste components',
        },
        docs: {
            description: 'Do not use barreled imports for Paste components',
            recommended: 'error',
            url: 'https://paste.twilio.design/core#import-differences',
        },
        schema: [], // no options
    },
    create(context) {
        return {
            ImportDeclaration: (node) => {
                const { source } = node;
                if (source.type === 'Literal' && source.value === '@twilio-paste/core') {
                    context.report({
                        node,
                        messageId: 'noBarreledImports',
                    });
                }
            },
        };
    },
};
exports.default = rule;
//# sourceMappingURL=paste-no-barreled-imports.js.map